# -*- coding: utf-8 -*-
from django.conf import settings
from django.utils.translation import ugettext as _
from django.contrib import admin

from jmb.core.admin.options import ExtendibleModelAdmin

from jmb.address.models import AddressScope

class AddressScopeAdmin(ExtendibleModelAdmin):
    fieldsets = (
        (_('logs admin'), {
            'fields': (
                'creator', 'date_create','last_modifier', 'date_last_modify',
                ),
            'classes': ('collapse',)
        }),
        (_('visualization admin'), {
            'fields': ('ordering',),
            'classes': ('collapse',),
            }),
        (_('general admin'), {
            'fields': ('status', 'name', 'is_invoice_address', 'is_shipping_address')
        }),
    )
    list_display = (
        'get_status_display', 'name', 'is_invoice_address',
        'is_shipping_address', 'get_edit_icon', 'get_delete_icon'
    )
    list_display_links = ('name',)
    ordering = ('ordering', 'name')
admin.site.register(AddressScope, AddressScopeAdmin)